Index: trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_1.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Files/Instance_w1_1.cfg	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Files/Instance_x1_w1_1.cfg	(revision 117)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="ISO-8859-1" ?>
 
-<core name="Instance_scalar_1">
+<core name="Instance_x1_w1_1">
 
   <thread id="0">             
@@ -17,4 +17,5 @@
   <decod_bloc id="0">                                       
     <parameter name="size_decod_queue"                      value="2" />
+    <parameter name="decod_queue_scheme"                    value="0" />
     <parameter name="nb_inst_decod"                         value="1" />
     <parameter name="nb_context_select"                     value="1" />
@@ -30,5 +31,5 @@
     <parameter name="rename_select_nb_front_end_select"     value="1" />
     <parameter name="nb_general_register"                   value="64"/>
-    <parameter name="nb_special_register"                   value="4" />
+    <parameter name="nb_special_register"                   value="16" />
     <parameter name="nb_reg_free"                           value="1" />
     <parameter name="nb_rename_unit_bank"                   value="1" />
@@ -61,8 +62,17 @@
     <parameter name="nb_inst_functionnal_unit" value="1" />
 
-    <timing type="0" latence="1" delay="1" />
+    <timing type="0"  latence="1" delay="1" />
+    <timing type="1"  latence="1" delay="1" />
+    <timing type="2"  latence="1" delay="1" />
+    <timing type="3"  latence="1" delay="1" />
+    <timing type="4"  latence="1" delay="1" />
+    <timing type="6"  latence="1" delay="1" />
+    <timing type="7"  latence="1" delay="1" />
+    <timing type="8"  latence="1" delay="1" />
+    <timing type="10" latence="1" delay="1" />
   </functionnal_unit>
 
   <front_end id="0">        
+    <parameter name="nb_context"                            value="1" />
     <parameter name="nb_decod_unit"                         value="1" />
     <parameter name="nb_inst_branch_predict"                value="1" />
@@ -74,4 +84,19 @@
     <parameter name="btb_victim_scheme"                     value="1" />
     <parameter name="dir_predictor_scheme"                  value="1" />
+
+    <predictor id="0">                                      
+      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="0" />
+    </predictor>                                            
+                                                            
+    <predictor id="1">                                      
+      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="0" />
+    </predictor>                                            
+                                                            
+    <predictor id="2">                                      
+      <parameter name="dir_have_bht"                        value="0" />
+      <parameter name="dir_have_pht"                        value="0" />
+    </predictor>
   </front_end>
 
@@ -90,4 +115,5 @@
     <parameter name="size_issue_queue"                      value="4" />
     <parameter name="nb_issue_queue_bank"                   value="1" />
+    <parameter name="issue_queue_scheme"                    value="0" />
     <parameter name="issue_priority"                        value="1" />
     <parameter name="issue_load_balancing"                  value="1" />
@@ -101,5 +127,5 @@
     <parameter name="nb_write_unit"                         value="1" />
     <parameter name="nb_gpr_bank"                           value="1" />
-    <parameter name="nb_gpr_port_read_by_bank"              value="1" />
+    <parameter name="nb_gpr_port_read_by_bank"              value="2" />
     <parameter name="nb_gpr_port_write_by_bank"             value="1" />
     <parameter name="nb_spr_bank"                           value="1" />
@@ -131,4 +157,5 @@
   <parameter name="dcache_port_load_balancing"              value="1" />
 
+  <link name="link_context_with_thread"                src="0"     dest="0.0" />
   <link name="link_decod_unit_with_decod_bloc"         src="0"     dest="0.0" />
   <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
